Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# SecurityReplaceable::Vault Interface Reference

`#include <SecurityReplaceable.idl>`

List of all members.

## Public Methods
Security::AuthenticationMethodList | get_supported_authen_methods ( in Security::MechanismType mechanism )
Security::AuthenticationStatus | acquire_credentials ( in Security::AuthenticationMethod method, in Security::MechanismType mechanism, in Security::SecurityName security_name, in any auth_data, in Security::AttributeList privileges, out SecurityLevel2::Credentials creds, out any continuation_data, out any auth_specific_data )
Security::AuthenticationStatus | continue_credentials_acquisition ( in any response_data, in SecurityLevel2::Credentials creds, out any continuation_data, out any auth_specific_data )
IOP::TaggedComponentList | create_ior_components ( in SecurityLevel2::Credentials creds_list )
Security::AssociationStatus | init_security_context ( in SecurityLevel2::Credentials creds, in Security::SecurityName target_security_name, in Object target, in Security::DelegationMode delegation_mode, in Security::OptionsDirectionPairList association_options, in Security::MechanismType mechanism, in Security::Opaque comp_data, in Security::ChannelBindings chan_binding, out Security::OpaqueBuffer security_token, out ClientSecurityContext security_context )
Security::AssociationStatus | accept_security_context ( in SecurityLevel2::CredentialsList creds_list, in Security::ChannelBindings chan_bindings, in Security::Opaque in_token, out Security::Opaque out_token )
Security::MechandOptionsList | get_supported_mechs ()
## Public Attributes
readonly attribute Security::OIDList | supported_mech_oids

## Member Function Documentation

Security::AssociationStatus SecurityReplaceable::Vault::accept_security_context ( | in SecurityLevel2::CredentialsList creds_list,
| in Security::ChannelBindings chan_bindings,
| in Security::Opaque in_token,
| out Security::Opaque out_token )

Security::AuthenticationStatus SecurityReplaceable::Vault::acquire_credentials ( | in Security::AuthenticationMethod method,
| in Security::MechanismType mechanism,
| in Security::SecurityName security_name,
| in any auth_data,
| in Security::AttributeList privileges,
| out SecurityLevel2::Credentials creds,
| out any continuation_data,
| out any auth_specific_data )

Security::AuthenticationStatus SecurityReplaceable::Vault::continue_credentials_acquisition ( | in any response_data,
| in SecurityLevel2::Credentials creds,
| out any continuation_data,
| out any auth_specific_data )

IOP::TaggedComponentList SecurityReplaceable::Vault::create_ior_components ( | in SecurityLevel2::Credentials creds_list )

Security::AuthenticationMethodList SecurityReplaceable::Vault::get_supported_authen_methods ( | in Security::MechanismType mechanism )

Security::MechandOptionsList SecurityReplaceable::Vault::get_supported_mechs ( | )

Security::AssociationStatus SecurityReplaceable::Vault::init_security_context ( | in SecurityLevel2::Credentials creds,
| in Security::SecurityName target_security_name,
| in Object target,
| in Security::DelegationMode delegation_mode,
| in Security::OptionsDirectionPairList association_options,
| in Security::MechanismType mechanism,
| in Security::Opaque comp_data,
| in Security::ChannelBindings chan_binding,
| out Security::OpaqueBuffer security_token,
| out ClientSecurityContext security_context )

## Member Data Documentation

readonly attribute Security::OIDList SecurityReplaceable::Vault::supported_mech_oids

The documentation for this interface was generated from the following file:

- SecurityReplaceable.idl